Name:       SDL3_ttf
Version:    3.2.0
Release:    %autorelease
Summary:    Support for TrueType (.ttf) font files with Simple Directmedia Layer
License:    Zlib AND MIT
URL:        https://github.com/libsdl-org/SDL_ttf

Source0:    %{url}/releases/download/release-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  cmake(SDL3)
BuildRequires:  cmake(zlib)
BuildRequires:  libGL-devel
BuildRequires:  freetype-devel
BuildRequires:  harfbuzz-devel
BuildRequires:  perl-base
BuildRequires:  plutosvg-devel

%description
This library is a wrapper around the FreeType and Harfbuzz libraries, allowing
you to use TrueType fonts to render text in SDL applications.

%package devel
Summary:    Development files for %{name}
Requires:   %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:   SDL3-devel%{?_isa}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        samples
Summary:        Sample programs for %{name}

%description    samples
Sample programs that use %{name}.

%prep
%autosetup

%build
%cmake \
    -DSDLTTF_HARFBUZZ:BOOL=ON \
    -DSDLTTF_INSTALL:BOOL=ON \
    -DSDLTTF_INSTALL_CPACK:BOOL=ON \
    -DSDLTTF_INSTALL_MAN:BOOL=ON \
    -DSDLTTF_PLUTOSVG:BOOL=ON \
    -DSDLTTF_RELOCATABLE:BOOL=OFF \
    -DSDLTTF_SAMPLES:BOOL=ON \
    -DSDLTTF_SAMPLES_INSTALL:BOOL=ON \
    -DSDLTTF_STRICT:BOOL=ON \
    -DSDLTTF_VENDORED:BOOL=OFF \
    -DSDLTTF_WERROR:BOOL=OFF

%cmake_build

%install
%cmake_install

%files
%license LICENSE.txt
%doc README.md CHANGES.txt
%{_libdir}/lib%{name}.so.0
%{_libdir}/lib%{name}.so.0.2.0

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/sdl3-ttf.pc
%{_libdir}/cmake/%{name}
%{_mandir}/man3/SDL_TTF_*.3*
%{_mandir}/man3/TTF_*.3*

%files samples
%{_bindir}/*

%changelog
%autochangelog
